#

Function WRITE-CHAR

Syntax:

write-char character `&optional` output-stream => character

Arguments and Values:

character---a character.

output-stream -- an output stream designator. The default is standard output.

Description:

write-char outputs character to output-stream.

Examples:

     (write-char #\a)
    >>  a
    =>  #\a
     (with-output-to-string (s)
       (write-char #\a s)
       (write-char #\Space s)
       (write-char #\b s))
    =>  "a b"

Side Effects:

The output-stream is modified.

Affected By:

*standard-output*, *terminal-io*.

Exceptional Situations: None.

See Also:

read-char, write-byte, write-sequence

Notes: None.

The following X3J13 cleanup issue, not part of the specification, applies to this section:

- READ-AND-WRITE-BYTES:NEW-FUNCTIONS

Copyright 1996-2001, Xanalys Inc. All rights reserved.